{% extends "base.html" %}

{% block title %}Alerts{% endblock %}
{% block heading %}<!-- leave heading blank -->{% endblock %}
{% block pageid %}alerts{% endblock %}

{% load static %}
{% block headcontents %}
    <link rel="stylesheet" href="{% static "css/bootstrap_buttons.css" %}"></script>
    {{ block.super }}
{% endblock %}

{% block content %}

{% if messages %}
<div class="flash">
    {% for m in messages %}
        <p>{{ m }}</p>
    {% endfor %}
</div>
{% endif %}

<h5>Phone and email alerts</h5>
<hr>
<div style="max-width: 1000px;">
<p>
This is the central page for managing phone and email alerts.
From here, you can create new contacts and notifications, edit or delete existing ones, and test and verify contacts.
</p>
<p>The general procedure is:</p>
<ul>
    <li>Create a contact</li>
    <li>Verify that contact</li>
    <li>Create a notification</li>
</ul>

<p>More detailed documentation is provided <a href="{% url "home" %}documentation/notifications.html">here</a>.</p>

<p><b>Note:</b> email alerts in ER14 and O3 will come from the <b><code>gravitationalwave.services</code></b> domain.</p>
</div>

<h5>Contacts</h5>
{% if contacts %}
<table style="padding-bottom: 10px">
{% for contact in contacts %}
    <tr>
        <td>
        {% if contact.verified %}
            <a class="btn-sm btn-primary" href="{% url "alerts:test-contact" contact.pk %}">Test</a>
        {% else %}
            <button class="btn-sm btn-primary" disabled>Test</button>
        {% endif %}
        </td>
        <td><a class="btn-sm btn-secondary" href="{% url "alerts:edit-contact" contact.pk %}">Edit</a></td>
        <td><a class="btn-sm btn-danger" href="{% url "alerts:delete-contact" contact.pk %}">Delete</a></td>
        <td>
            <b>{{ contact.description }}</b> | {{ contact.display }}
            <b>
                {% if contact.verified %}
                    <div style="color: green; display: inline-block;">Verified</div>
                {% else %}
                    <div style="color: red; display: inline-block;">Not verified</div>
                    <a class="btn-sm btn-warning" href="{% url "alerts:verify-contact" contact.pk %}">Verify</a>
                {% endif %}
            </b>
        </td>
    </tr>
{% endfor %}
</table>
{% endif %}

<a class="btn btn-sm btn-success" href="{% url "alerts:create-contact" %}">Create new contact</a>
<br /><br /><br />

<h5>Notifications</h5>
{% if notifications %}
<table style="padding-bottom: 10px;">
{% for notification in notifications %}
    <tr>
        <td><a class="btn btn-sm btn-secondary" href="{% url "alerts:edit-notification" notification.pk %}">Edit</a></td>
        <td><a class="btn btn-sm btn-danger" href="{% url "alerts:delete-notification" notification.pk %}">Delete</a></td>
        <td><b>{{ notification.description }}</b> | {{ notification.display }}</td>
    </tr>
{% endfor %}
</table>
{% endif %}

<a class="btn btn-sm btn-success" href="{% url "alerts:create-notification" %}">Create new notification</a>
{% endblock %}
